package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.StoreInfo;


/**
*  service接口类
*/
public interface StoreInfoService{

    List<StoreInfo> getStoreInfoList(StoreInfo record);

    List<StoreInfo> getStoreInfoListForHome(StoreInfo record);

    List<StoreInfo> getStoreInfoByPage(Page page, StoreInfo record);

    StoreInfo getStoreInfoById(String id);

    StoreInfo getStoreInfo(StoreInfo record);

    boolean createStoreInfo(StoreInfo record);

    boolean deleteStoreInfo(String id);

    boolean updateStoreInfo(StoreInfo record);
}

